import { Contact, ContactMessage, InteractiveBase, InteractiveListMessage, InteractiveMessage, InteractiveReplyButton, Location, LocationMessage, MediaBase, MediaMessage, MediaWithId, MediaWithLink, Template, TemplateMessage, Text, TextMessage } from './messages.types';
export interface TextMessageOptions extends Text {
    to: string;
}
export declare const getTextMessageOptions: (options: TextMessageOptions) => TextMessage;
export interface MediaMessageOptions extends MediaBase {
    to: string;
    type: 'image' | 'document' | 'audio' | 'video' | 'sticker';
}
export declare const getMediaMessageOptions: (options: MediaMessageOptions & (MediaWithId | MediaWithLink)) => MediaMessage;
export interface LocationMessageOptions extends Location {
    to: string;
}
export declare const getLocationMessageOptions: (options: LocationMessageOptions) => LocationMessage;
export interface ContactMessageOptions {
    to: string;
    contacts: Contact[];
}
export declare const getContactMessageOptions: (options: ContactMessageOptions) => ContactMessage;
export interface InteractiveMessageOptions extends InteractiveBase {
    to: string;
}
export declare const getInteractiveMessageOptions: (options: InteractiveMessageOptions & (InteractiveReplyButton | InteractiveListMessage)) => InteractiveMessage;
export interface TemplateMessageOptions extends Template {
    to: string;
}
export declare const getTemplateMessageOptions: (options: TemplateMessageOptions) => TemplateMessage;
