"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTemplateMessageOptions = exports.getInteractiveMessageOptions = exports.getContactMessageOptions = exports.getLocationMessageOptions = exports.getMediaMessageOptions = exports.getTextMessageOptions = void 0;
const optionsBase = {
    messaging_product: 'whatsapp',
    recipient_type: 'individual',
};
const getTextMessageOptions = (options) => {
    const { to, ...text } = options;
    return {
        ...optionsBase,
        to,
        type: 'text',
        text,
    };
};
exports.getTextMessageOptions = getTextMessageOptions;
const getMediaMessageOptions = (options) => {
    const { to, type, ...media } = options;
    return {
        ...optionsBase,
        to,
        type,
        [type]: media,
    };
};
exports.getMediaMessageOptions = getMediaMessageOptions;
const getLocationMessageOptions = (options) => {
    const { to, ...location } = options;
    return {
        ...optionsBase,
        to,
        type: 'location',
        location,
    };
};
exports.getLocationMessageOptions = getLocationMessageOptions;
const getContactMessageOptions = (options) => {
    const { to, contacts } = options;
    return {
        ...optionsBase,
        to,
        type: 'contacts',
        contacts,
    };
};
exports.getContactMessageOptions = getContactMessageOptions;
const getInteractiveMessageOptions = (options) => {
    const { to, ...interactive } = options;
    return {
        ...optionsBase,
        to,
        type: 'interactive',
        interactive,
    };
};
exports.getInteractiveMessageOptions = getInteractiveMessageOptions;
const getTemplateMessageOptions = (options) => {
    const { to, ...template } = options;
    return {
        ...optionsBase,
        to,
        type: 'template',
        template,
    };
};
exports.getTemplateMessageOptions = getTemplateMessageOptions;
//# sourceMappingURL=messages.js.map