import { ContactMessageOptions, InteractiveMessageOptions, LocationMessageOptions, MediaMessageOptions, TemplateMessageOptions, TextMessageOptions } from './messages';
import { InteractiveListMessage, InteractiveReplyButton, MediaWithId, MediaWithLink } from './messages.types';
export interface SendMessageResult {
    messaging_product: 'whatsapp';
    contacts: {
        input: string;
        wa_id: string;
    }[];
    messages: {
        id: string;
    }[];
}
export declare const sendMessages: (fromPhoneNumberId: string, accessToken: string, version?: string) => {
    sendText: (options: TextMessageOptions) => Promise<SendMessageResult>;
    sendMedia: (options: MediaMessageOptions & (MediaWithId | MediaWithLink)) => Promise<SendMessageResult>;
    sendLocation: (options: LocationMessageOptions) => Promise<SendMessageResult>;
    sendContacts: (options: ContactMessageOptions) => Promise<SendMessageResult>;
    sendInteractive: (options: InteractiveMessageOptions & (InteractiveReplyButton | InteractiveListMessage)) => Promise<SendMessageResult>;
    sendTemplate: (options: TemplateMessageOptions) => Promise<SendMessageResult>;
};
