"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendMessages = void 0;
const axios_1 = __importDefault(require("axios"));
const messages_1 = require("./messages");
const sendRequestHelper = (fromPhoneNumberId, accessToken, version) => async (data) => {
    var _a, _b;
    try {
        const { data: result } = await (0, axios_1.default)({
            method: 'post',
            url: `https://graph.facebook.com/${version}/${fromPhoneNumberId}/messages`,
            data,
            headers: {
                Authorization: `Bearer ${accessToken}`,
                'Content-Type': 'application/json',
                Accept: 'application/json',
            },
        });
        return result;
    }
    catch (err) {
        throw (_b = (_a = err === null || err === void 0 ? void 0 : err.response) === null || _a === void 0 ? void 0 : _a.data) !== null && _b !== void 0 ? _b : err.message;
    }
};
const sendMessages = (fromPhoneNumberId, accessToken, version = 'v14.0') => {
    const sendRequest = sendRequestHelper(fromPhoneNumberId, accessToken, version);
    return {
        sendText: async (options) => sendRequest((0, messages_1.getTextMessageOptions)(options)),
        sendMedia: async (options) => sendRequest((0, messages_1.getMediaMessageOptions)(options)),
        sendLocation: async (options) => sendRequest((0, messages_1.getLocationMessageOptions)(options)),
        sendContacts: async (options) => sendRequest((0, messages_1.getContactMessageOptions)(options)),
        sendInteractive: async (options) => sendRequest((0, messages_1.getInteractiveMessageOptions)(options)),
        sendTemplate: async (options) => sendRequest((0, messages_1.getTemplateMessageOptions)(options)),
    };
};
exports.sendMessages = sendMessages;
//# sourceMappingURL=sendMessages.js.map